/************************************************************************************
GamePad RT-Component
Copyright (c) 2010, Segway Japan, Ltd.
All rights reserved.

Contact us if you use this software for sell.
If you use this software not for sell, you can use this software under BSD lisence.
See the files LICENSE.TXT and LICENSE-BSD.TXT for more details.                     
************************************************************************************/
#ifndef __PAD_WIN_H__
#define __PAD_WIN_H__

#include "pad_linux.h"




class GamePad 
{
public:
	const static int AXIS_RANGE = 1000;
	const static int AXIS_IDLE  = 200;
	enum {
		BUTTON_UP    = 1<<0,
		BUTTON_DOWN  = 1<<1,
		BUTTON_LEFT  = 1<<2,
		BUTTON_RIGHT = 1<<3,
		BUTTON_0 = 1<<4,
		BUTTON_1 = 1<<5,
		BUTTON_2 = 1<<6,
		BUTTON_3 = 1<<7,
		BUTTON_4 = 1<<8,
		BUTTON_5 = 1<<9,
		BUTTON_6 = 1<<10,
		BUTTON_7 = 1<<11,
	};
	static unsigned int Pad, Push;

	enum {
		AXIS_X,
		AXIS_Y,
		AXIS_NUM
	};

	//-x <> +x  A -y
	//          V +y
	static int AxisL[AXIS_NUM], AxisR[AXIS_NUM];

	static bool Init();
	static bool Start(HWND h);
	static void End();
	static void Update();

	static float GetRangeL();
	static float GetRangeR();

};





#endif